
#define _GNU_SOURCE
#include <sys/syscall.h>
#include <unistd.h>

typedef enum {
	FT_INIT,
	FT_PROCESS,
	FT_THREAD,
	FT_STOP
} ftrace_t;

int ftrace_me(ftrace_t tgt);

#if 1 /* __GLIBC_PREREQ(2, 10) */
static inline pid_t gettid(void)
{
	return syscall(__NR_gettid);
}
#endif
