/*
 * Copyright (C) 2010 SENJU Jiro
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <sys/types.h>
#include <aio.h> /* glibc */

#if defined(NonLaio) || defined(Laio)
#include "laio.h"
#else
#define laio_fin()	0
#endif

#ifdef Laio
#define LaioFlag O_DIRECT
#else
#define LaioFlag 0
#endif

/* laiotest.c */
extern int nnotify;

void wait_for_all_notification(sigevent_t *sev, int expected);
void set_none(sigevent_t *sev);
void set_sig(sigevent_t *sev);
void set_thread(sigevent_t *sev);
void init_test(void);
void do_cancel(struct aiocb *cb, ssize_t size);
